<?php
/**
* @package		Joomla
* @subpackage	NeoLegal
* @version		1.5.2
* @date			February 2010
* @author		NeoJoomla
* @copyright 	Copyright (C) 2005 - 2010 Neoweb. All rights reserved
* @license		GNU/GPL, see LICENSE.txt
*/

defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.tooltip');

// Set toolbar items for the page
$edit		= JRequest::getVar( 'edit', true );
$text = !$edit ? JText::_( 'New' ) : JText::_( 'Edit' );

JToolBarHelper::title( JText::_( 'Legals' ).': <small><small>[ ' . $text.' ]</small></small>' );
JToolBarHelper::apply();
JToolBarHelper::save();
if ( !$edit )  {
	JToolBarHelper::cancel();
} else {
	// for existing items the button is renamed `close`
	JToolBarHelper::cancel( 'cancel', 'Close' );
}
//JToolBarHelper::help( 'screen.neolegal.edit' );

jimport( 'joomla.html.editor' ); 
$editor = &JFactory::getEditor();

$legals = $this->legals;
?>

<script language="javascript" type="text/javascript">
	function submitbutton( pressbutton ) {
		var form = document.adminForm;			
		if ( pressbutton == 'cancel' ) {
			submitform( pressbutton );
			return;
		}
		
		<?php // getEditorContents( 'editor_use_terms', 'use_terms' ); ?>
		<?php // getEditorContents( 'editor_policy', 'policy' ); ?>
		
		submitform( pressbutton );
		return;
	}
</script>  

<table class="adminForm" width="100%">
	<tr>
		<td>
			
			<form action="index2.php" method="post" name="adminForm" id="adminForm">
				
				<?php 
				$tabs =& JPane::getInstance('tabs');
				
				echo $tabs->startPane( 'pane' );
				
					echo $tabs->startPanel( JText::_( 'Legal notes' ), 'legals-panel' ); ?>
						
						<div class="col width-60">
							
							<?php $sliders =& JPane::getInstance( 'sliders', array('allowAllClose' => true) );
							echo $sliders->startPane( 'pane' );
								
								echo $sliders->startPanel( JText::_( 'Company' ), 'company-slide' ); ?>
								
									<table width="100%" border="0" class="admintable">
										<tr>
											<td class="key"><?php echo JText::_( 'Statute' ); ?></td>
											<td><input  type="text" name="company_status" value="<?php echo $legals->company_status; ?>" /></td>
										</tr>
										<tr>		
											<td class="key"><?php echo JText::_( 'Name' );?></td>
											<td><input type="text" name="company_name" value="<?php echo $legals->company_name; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Director' ); ?></td>
											<td><input type="text" name="company_director" value="<?php echo $legals->company_director; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'SIREN' ); ?></td>
											<td><input type="text" name="company_siren" value="<?php echo $legals->company_siren; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'SIRET' ); ?>
											<td><input type="text" name="company_siret" value="<?php echo $legals->company_siret; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'APE' ); ?></td>
											<td><input type="text" name="company_ape" value="<?php echo $legals->company_ape; ?>" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'TVA' ); ?></td>
											<td><input type="text" name="company_tva" value="<?php echo $legals->company_tva; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Capital' ); ?></td>
											<td><input type="text" name="company_capital" value="<?php echo $legals->company_capital; ?>" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'CNIL' ); ?></td>
											<td><input type="text" name="company_cnil" value="<?php echo $legals->company_cnil; ?>" /></td>
										</tr>
									</table>
									
								<?php echo $sliders->endPanel(); ?>
								
								<?php echo $sliders->startPanel( JText::_( 'Contact' ), 'contact-slide' ); ?>
									
									<table width="100%" border="0" class="admintable">
										<tr>
											<td class="key"><?php echo JText::_( 'Address' ); ?></td>
											<td><input type="text" name="company_address" value="<?php echo $legals->company_address; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Address complement' ); ?></td>
											<td><input type="text" name="company_address_complement" value="<?php echo $legals->company_address_complement; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Postbox' ); ?></td>
											<td><input type="text" name="company_postbox" value="<?php echo $legals->company_postbox; ?>"></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Postcode' ); ?></td>
											<td><input type="text" name="company_postcode" value="<?php echo $legals->company_postcode; ?>" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'City' ); ?></td>
											<td><input type="text" name="company_town" value="<?php echo $legals->company_town; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'State' ); ?></td>
											<td><input type="text" name="company_state" value="<?php echo $legals->company_state; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Country' ); ?></td>
											<td><input type="text" name="company_country" value="<?php echo $legals->company_country; ?>" size="40" /></td>										
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Phone' ); ?></td>
											<td align="left" valign="top">
												<input type="text" name="company_phone" value="<?php echo $legals->company_phone; ?>" />
											</td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Fax' ); ?></td>
											<td><input type="text" name="company_fax" value="<?php echo $legals->company_fax ?>" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Mobile' ); ?></td>
											<td><input type="text" name="company_mobile" value="<?php echo $legals->company_mobile; ?>" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Email' ); ?></td>
											<td><input type="text" name="company_email" value="<?php echo $legals->company_email; ?>" size="40" /></td>
										</tr>
										<tr>	
											<td class="key"><?php echo JText::_( 'Website' ); ?></td>
											<td><input type="text" name="company_url" value="<?php echo $legals->company_url; ?>" size="40" /></td>
										</tr>
									</table>
									
								<?php echo $sliders->endPanel(); ?>
								
								
								<?php echo $sliders->startPanel( JText::_( 'Bank' ), 'bank-slide' ); ?>
									
									<table width="100%" class="admintable">
										<tr>
											<td class="key"><?php echo JText::_( 'Name' ); ?></td>
											<td><input type="text" name="bank_name" value="<?php echo $legals->bank_name; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Code' ); ?></td>
											<td><input type="text" name="bank_code" value="<?php echo $legals->bank_code; ?>" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Account' ); ?></td>
											<td><input type="text" name="bank_account" value="<?php echo $legals->bank_account; ?>" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'IBAN' ); ?></td>
											<td><input type="text" name="bank_iban" value="<?php echo $legals->bank_iban; ?>" size="50" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'SWIFT' ); ?></td>
											<td><input type="text" name="bank_swift" value="<?php echo $legals->bank_swift; ?>" /></td>
										</tr>
									</table>
									
								<?php echo $sliders->endPanel(); ?>
								
								
								<?php echo $sliders->startPanel( JText::_( 'Editor' ), 'editor-slider' ); ?>
									
									<table width="100%" border="0" class="admintable">									
										<tr>
											<td class="key"><?php echo JText::_( 'Name' ); ?></td>
											<td><input type="text" name="editor_name" value="<?php echo $legals->editor_name; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Address' ); ?></td>
											<td><input type="text" name="editor_address" value="<?php echo $legals->editor_address; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Address complement' ); ?></td>
											<td><input type="text" name="editor_address_complement" value="<?php echo $legals->editor_address_complement; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Postbox' ); ?></td>
											<td><input type="text" name="editor_postbox" value="<?php echo $legals->editor_postbox; ?>"></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Postcode' ); ?></td>
											<td><input type="text" name="editor_postcode" value="<?php echo $legals->editor_postcode; ?>"></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'City' ); ?></td>
											<td><input type="text" name="editor_city" value="<?php echo $legals->editor_city; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Country' ); ?></td>
											<td><input type="text" name="editor_country" value="<?php echo $legals->editor_country; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Email' ); ?></td>
											<td><input type="text" name="editor_email" value="<?php echo $legals->editor_email; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Phone' ); ?></td>
											<td><input type="text" name="editor_phone" value="<?php echo $legals->editor_phone; ?>"></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Fax' ); ?></td>
											<td><input type="text" name="editor_fax" value="<?php echo $legals->editor_fax; ?>"></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Website' ); ?></td>
											<td><input type="text" name="editor_url" value="<?php echo $legals->editor_url; ?>" size="40" /></td>
										</tr>
									</table>
									
								<?php echo $sliders->endPanel(); ?>
								
								
								<?php echo $sliders->startPanel( JText::_( 'Host' ), 'host-slider' ); ?>
									
									<table width="100%" border="0" class="admintable">									
										<tr>
											<td class="key"><?php echo JText::_( 'Name' ); ?></td>
											<td><input type="text" name="host_name" value="<?php echo $legals->host_name; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Address' ); ?></td>
											<td><input type="text" name="host_address" value="<?php echo $legals->host_address; ?>" size="40"  /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Address complement' ); ?></td>
											<td><input type="text" name="host_address_complement" value="<?php echo $legals->host_address_complement; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Postbox' ); ?></td>
											<td><input type="text" name="host_postbox" value="<?php echo $legals->host_postbox; ?>"></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Postcode' ); ?></td>
											<td><input type="text" name="host_postcode" value="<?php echo $legals->host_postcode; ?>"></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'City' ); ?></td>
											<td><input type="text" name="host_city" value="<?php echo $legals->host_city; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Country' ); ?></td>
											<td><input type="text" name="host_country" value="<?php echo $legals->host_country; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Email' ); ?></td>
											<td><input type="text" name="host_email" value="<?php echo $legals->host_email; ?>" size="40" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Phone' ); ?></td>
											<td><input type="text" name="host_phone" value="<?php echo $legals->host_phone; ?>" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Fax' ); ?></td>
											<td><input type="text" name="host_fax" value="<?php echo $legals->host_fax; ?>" /></td>
										</tr>
										<tr>
											<td class="key"><?php echo JText::_( 'Website' ); ?></td>
											<td><input type="text" name="host_url" value="<?php echo $legals->host_url; ?>" size="40" /></td>
										</tr>
									</table>
									
								<?php echo $sliders->endPanel(); ?>
								
							<?php echo $sliders->endPane(); ?>		
							
						</div>
						
						<div class="col width-40">
							
							<fieldset class="adminform">
								<legend><?php echo JText::_( 'Parameters'); ?></legend>
								<table width="100%" border="0" class="admintable">
									<tr>
										<td class="key"><?php echo JText::_( 'Title' ); ?></td>
										<td><input  type="text" name="legals_title" value="<?php echo $legals->legals_title; ?>" size="53" /></td>
									</tr>
									<tr>
										<td class="key"><?php echo JText::_( 'Display title' ); ?></td>
										<td><?php echo $this->lists['legals_display_title']; ?></td>
									</tr>
								</table>
							</fieldset>
							
							<fieldset class="adminform">
								<legend><?php echo JText::_( 'SEO'); ?></legend>
								<table width="100%" border="0" class="admintable">
									<tr>
										<td class="key"><?php echo JText::_( 'Alias' ); ?></td>
										<td><input  type="text" name="legals_alias" value="<?php echo $legals->legals_alias; ?>" size="53" /></td>
									</tr>
									<tr>
										<td class="key"><?php echo JText::_( 'Meta title' ); ?></td>
										<td><input type="text" name="legals_meta_title" value="<?php echo $legals->legals_meta_title; ?>" size="53" /></td>
									</tr>
									<tr>
										<td class="key"><?php echo JText::_( 'Meta description' ); ?></td>
										<td><textarea cols="30" rows="5" name="legals_meta_description"><?php echo $legals->legals_meta_description; ?></textarea></td>
									</tr>
									<tr>
										<td class="key"><?php echo JText::_( 'Meta keywords' ); ?></td>
										<td><textarea cols="30" rows="5" name="legals_meta_keywords"><?php echo $legals->legals_meta_keywords; ?></textarea></td>
									</tr>
								</table>
							</fieldset>
							
						</div>
						
						<div style="clear: both;"></div>
						
					<?php echo $tabs->endPanel();
					
					
					echo $tabs->startPanel( JText::_( 'Use terms' ), 'use-panel' ); ?>
						
						<div class="col width-60">
							<fieldset class="adminform">
								<legend><?php echo JText::_( 'Use terms' ); ?></legend>
								<?php echo $editor->display( 'use_terms', $this->legals->use_terms, '100%', '400', '75', '20' ); ?>
							</fieldset>
						</div>
						
						<div class="col width-40">
							
							<fieldset class="adminform">
								<legend><?php echo JText::_( 'Parameters' ); ?></legend>
								<table width="100%" border="0" class="admintable">
									<tr>
										<td class="key"><?php echo JText::_( 'Title' ); ?></td>
										<td><input  type="text" name="use_terms_title" value="<?php echo $legals->use_terms_title; ?>" size="53" /></td>
									</tr>
									<tr>
										<td class="key"><?php echo JText::_( 'Display title' ); ?></td>
										<td><?php echo $this->lists['use_terms_display_title']; ?></td>
									</tr>
								</table>
							</fieldset>
							
							<fieldset class="adminform">
								<legend><?php echo JText::_( 'SEO'); ?></legend>
								<table width="100%" border="0" class="admintable">
									<tr>
										<td class="key"><?php echo JText::_( 'Alias' ); ?></td>
										<td><input  type="text" name="use_terms_alias" value="<?php echo $legals->use_terms_alias; ?>" size="53" /></td>
									</tr>
									<tr>
										<td class="key"><?php echo JText::_( 'Meta title' ); ?></td>
										<td><input  type="text" name="use_terms_meta_title" value="<?php echo $legals->use_terms_meta_title; ?>" size="53" /></td>
									</tr>
									<tr>
										<td class="key"><?php echo JText::_( 'Meta description' ); ?></td>
										<td><textarea cols="30" rows="5" name="use_terms_meta_description"><?php echo $legals->use_terms_meta_description; ?></textarea></td>
									</tr>
									<tr>
										<td class="key"><?php echo JText::_( 'Meta keywords' ); ?></td>
										<td><textarea cols="30" rows="5" name="use_terms_meta_keywords"><?php echo $legals->use_terms_meta_keywords; ?></textarea></td>
									</tr>
								</table>
							</fieldset>
							
						</div>
						
						<div style="clear: both;"></div>
						
					<?php echo $tabs->endPanel( 'use' );
					
					
					echo $tabs->startPanel( JText::_( 'Policy' ), 'policy-panel' ); ?>
						
						<div class="col width-60">
							<fieldset class="adminform">
								<legend><?php echo JText::_( 'Policy' ); ?></legend>							
								<?php echo $editor->display( 'policy', $this->legals->policy, '100%', '400', '75', '20' ); ?>
							</fieldset>
						</div>
						
						<div class="col width-40">
							
							<fieldset class="adminform">
								<legend><?php echo JText::_( 'Parameters'); ?></legend>
								<table width="100%" border="0" class="admintable">
									<tr>
										<td class="key"><?php echo JText::_( 'Title' ); ?></td>
										<td><input type="text" name="policy_title" value="<?php echo $legals->policy_title; ?>" size="53" /></td>
									</tr>
									<tr>
										<td class="key"><?php echo JText::_( 'Display title' ); ?></td>
										<td><?php echo $this->lists['policy_display_title']; ?></td>
									</tr>
								</table>
							</fieldset>
							
							<fieldset class="adminform">								
								<legend><?php echo JText::_( 'SEO' ); ?></legend>								
								<table width="100%" border="0" class="admintable">
									<tr>
										<td class="key"><?php echo JText::_( 'Alias' ); ?></td>
										<td><input  type="text" name="policy_alias" value="<?php echo $legals->policy_alias; ?>" size="53" /></td>
									</tr>
									<tr>
										<td class="key"><?php echo JText::_( 'Meta title' ); ?></td>
										<td><input  type="text" name="policy_meta_title" value="<?php echo $legals->policy_meta_title; ?>" size="53" /></td>
									</tr>
									<tr>
										<td class="key"><?php echo JText::_( 'Meta description' ); ?></td>
										<td><textarea cols="30" rows="5" name="policy_meta_description"><?php echo $legals->policy_meta_description; ?></textarea></td>
									</tr>
									<tr>
										<td class="key"><?php echo JText::_( 'Meta keywords' ); ?></td>
										<td><textarea cols="30" rows="5" name="policy_meta_keywords"><?php echo $legals->policy_meta_keywords; ?></textarea></td>
									</tr>
								</table>								
							</fieldset>
						</div>
						
						<div style="clear: both;"></div>
						
					<?php echo $tabs->endPanel();
					
				echo $tabs->endPane(); ?>
				
				<input type="hidden" name="id" value="<?php echo $legals->id; ?>" />
				<input type="hidden" name="option" value="<?php echo $option; ?>" />
				<input type="hidden" name="task" value="" />
				<?php echo JHTML::_( 'form.token' ); ?>
				
			</form>
			
		</td>
	</tr>
	<tr>
		<td>
			<div align="left">
				<p><?php echo JText::_( 'Admin message' ); ?></p>
			</div>
		</td>
	</tr>
</table>