<?php
/**
* @package		Joomla
* @subpackage	NeoLegal
* @version		1.5.2
* @date			February 2010
* @author		NeoJoomla
* @copyright 	Copyright (C) 2005 - 2010 Neoweb. All rights reserved
* @license		GNU/GPL, see LICENSE.txt
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

/**
 * NeoLegal Component Legals Model
 *
 * @package		Joomla
 * @subpackage	NeoLegal
 * @since 1.5
 */
class NeoLegalModelLegals extends JModel
{
	/**
	 * Category id
	 *
	 * @var int
	 */
	var $_id = null;

	/**
	 * Category ata array
	 *
	 * @var array
	 */
	var $_data = null;


	/**
	 * Constructor
	 *
	 * @since 1.5
	 */
	function __construct() {
		
		parent::__construct();
	}
	
	/**
	 * Method to get weblink item data for the category
	 *
	 * @access public
	 * @return array
	 */
	function getData()
	{
		// Lets load the content if it doesn't already exist
		if (empty($this->_data))
		{
			$query = $this->_buildQuery();
			$this->_db->setQuery( $query );
			if ( !$this->_db->query() ) {
				echo $this->_db->getErrorMsg();
				return false;
			}
			
			$this->_data = $this->_db->loadObject();
		}

		return $this->_data;
	}


	function _buildQuery()
	{
		// We need to get a list of all weblinks in the given category
		$query = ' SELECT * FROM #__neolegal WHERE id =  1';
		
		return $query;
	}
}
